Aadhaar Masking API
Introduction
The Aadhaar masking option allows you to mask Aadhaar number in e-Aadhaar. Masked Aadhaar number implies replacing of first 8 digits of the Aadhaar number with a white stripe.
The Mask UID service generates an image of the Aadhaar card where the unique identification number or UID is hidden so that it cannot be viewed.
Masking becomes important in cases where just the Aadhaar Card details are required but the number needs to be hidden.
How to call the API
Before going for Masking, you first need to create an Identity object. For best results, please make sure that the image you use fits tightly in camera view and is horizontally aligned. Each image/pdf/tiff should be less than 2MB and an expired image should not be uploaded.
API Input Guidelines
- The Image should be of good quality.
- Image should be less than 2MB in size.
- API accepts Image, pdf's and URLs.
Step 1: Hit Identities API
curl --location --request POST '<https://signzy.tech/api/v2/patrons/<Patron> Id>/identities' \
--header 'Accept: application/json, text/plain, */*' \
--header 'Authorization: <Auth key>' \
--header 'Content-Type: application/json' \
--data-raw '{
"type": "aadhaar",
"email": "<email Id>",
"callbackUrl": "<https://www.w3schools.com",>
"images": [<Images Url>]
}'Identity Response Parameters
Parameters Name | Description |
|---|---|
type | type of document |
mail Id of person | |
callbackUrl | URL where response will be posted |
images | It is the url of images |
accessToken | Contains the access token that was received from identity requestautorecognition |
autoRecognition | AutoRecognition |
verification | It verifies |
forgeryCheck | It checks for forgery occurances |
id | Contains the Identity object id |
patronId | Unique Patron ID |
Step 2: Hit Snoops API and receives a response
curl --location --request POST 'https://signzy.tech/api/v2/snoops' \
--header 'Content-Type: application/json;charset=UTF-8' \
--data-raw '{
"service": "Identity",
"itemId": "<Item ID>",
"accessToken": "<Access Token>",
"task": "aadhaarMasker",
"essentials": {
"url": "<URL of aadhaar to be masked>"
}
}'Response Parameters
Parameter Name | Description |
|---|---|
service | The type of Signzy service - “identity extraction”. |
itemId | This parameter contains the identity item id. |
task | The type of task performed - “aadhaarMasker”. |
essentials | Contains the essential output data. |
essentials.url | Contains the URL of the uploaded image. |
accessToken | Contains the access token that was received from identity request |
Id | Contains the patron Id of the snoop request |
response.url | This parameter contains the output files |
response.id | Unique Response ID |
response.callOcrOnFallback | Calling OCR on Call back |
instance.id | Unique Instance ID |
instance.callbackUrl | It contains the call back url where result will be posted |
result | This parameter holds the masked images of the Aadhaar card. |
result.isMasked | It shows whether the masking result is a yes or no |
result.maskedImages | The masked image URL of the Aadhaar card is shown by this parameter. |
Getting help
Please feel free to contact us if you have any questions, require clarification, or have ideas for how to make the documents or any of our services better.
You can reach out to us at [email protected].